CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_BATTING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','MTE','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH','_ML') COLLATE latin1_general_ci NOT NULL,
  `is_totals` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `pa` SMALLINT(5) UNSIGNED DEFAULT 0,
  `ab` SMALLINT(5) UNSIGNED DEFAULT 0,
  `h` TINYINT(3) UNSIGNED DEFAULT 0,
  `1b` TINYINT(3) UNSIGNED DEFAULT 0,
  `2b` TINYINT(2) UNSIGNED DEFAULT 0,
  `3b` TINYINT(2) UNSIGNED DEFAULT 0,
  `hr` TINYINT(2) UNSIGNED DEFAULT 0,
  `xbh` TINYINT(2) UNSIGNED DEFAULT 0,
  `tb` SMALLINT(5) UNSIGNED DEFAULT 0,
  `bb` TINYINT(3) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `hbp` TINYINT(2) UNSIGNED DEFAULT 0,
  `k` TINYINT(3) UNSIGNED DEFAULT 0,
  `r` TINYINT(3) UNSIGNED DEFAULT 0,
  `rbi` TINYINT(3) UNSIGNED DEFAULT 0,
  `sb` TINYINT(3) UNSIGNED DEFAULT 0,
  `cs` TINYINT(2) UNSIGNED DEFAULT 0,
  `po` TINYINT(2) UNSIGNED DEFAULT 0,
  `sac_fly` TINYINT(2) UNSIGNED DEFAULT 0,
  `sac_hit` TINYINT(2) UNSIGNED DEFAULT 0,
  `go` TINYINT(3) UNSIGNED DEFAULT 0,
  `fo` TINYINT(3) UNSIGNED DEFAULT 0,
  `gidp` TINYINT(2) UNSIGNED DEFAULT 0,
  `lob` SMALLINT(3) UNSIGNED DEFAULT 0,
  `avg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `winprob` DECIMAL(5,1) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_PITCHING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','MTE','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH','_ML') COLLATE latin1_general_ci NOT NULL,
  `is_totals` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `ip` DECIMAL(4,1) UNSIGNED DEFAULT 0.0,
  `out` SMALLINT(5) UNSIGNED DEFAULT 0,
  `bf` SMALLINT(5) UNSIGNED DEFAULT 0,
  `pt` SMALLINT(5) UNSIGNED DEFAULT 0,
  `b` SMALLINT(5) UNSIGNED DEFAULT 0,
  `s` SMALLINT(5) UNSIGNED DEFAULT 0,
  `k` SMALLINT(5) UNSIGNED DEFAULT 0,
  `h` SMALLINT(5) UNSIGNED DEFAULT 0,
  `hr` TINYINT(2) UNSIGNED DEFAULT 0,
  `bb` TINYINT(3) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `whip` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `r` TINYINT(3) UNSIGNED DEFAULT 0,
  `ra` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `er` TINYINT(3) UNSIGNED DEFAULT 0,
  `era` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `ur` TINYINT(2) UNSIGNED DEFAULT 0,
  `ura` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `ir` TINYINT(3) UNSIGNED DEFAULT 0,
  `ira` TINYINT(2) UNSIGNED DEFAULT 0,
  `wp` TINYINT(2) UNSIGNED DEFAULT 0,
  `bk` TINYINT(2) UNSIGNED DEFAULT 0,
  `sb` TINYINT(2) UNSIGNED DEFAULT 0,
  `cs` TINYINT(2) UNSIGNED DEFAULT 0,
  `po` TINYINT(2) UNSIGNED DEFAULT 0,
  `go` SMALLINT(2) UNSIGNED DEFAULT 0,
  `fo` SMALLINT(2) UNSIGNED DEFAULT 0,
  `go_fo` DECIMAL(6,4) UNSIGNED DEFAULT NULL,
  `cg` TINYINT(2) UNSIGNED DEFAULT 0,
  `sho` TINYINT(1) UNSIGNED DEFAULT 0,
  `qs` TINYINT(2) UNSIGNED DEFAULT 0,
  `w` TINYINT(2) UNSIGNED DEFAULT 0,
  `l` TINYINT(2) UNSIGNED DEFAULT 0,
  `sv` TINYINT(2) UNSIGNED DEFAULT 0,
  `hld` TINYINT(2) UNSIGNED DEFAULT 0,
  `bs` TINYINT(2) UNSIGNED DEFAULT 0,
  `svo` TINYINT(2) UNSIGNED DEFAULT 0,
  `winprob` DECIMAL(5,1) DEFAULT NULL,
  `game_score` DECIMAL(5,2) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_FIELDING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','MTE','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH','_ML') COLLATE latin1_general_ci NOT NULL,
  `is_totals` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `tc` SMALLINT(4) UNSIGNED DEFAULT 0,
  `po` SMALLINT(5) UNSIGNED DEFAULT 0,
  `a` SMALLINT(5) UNSIGNED DEFAULT 0,
  `e` TINYINT(2) UNSIGNED DEFAULT 0,
  `pct` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `dp` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_MISC` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH','_ML') COLLATE latin1_general_ci NOT NULL,
  `is_totals` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `gp` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `gs` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `gp_C` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_C` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_C` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_1B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_1B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_1B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_2B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_2B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_2B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_SS` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_SS` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_SS` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_3B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_3B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_3B` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_LF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_LF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_LF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_CF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_CF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_CF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_RF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_RF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_RF` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_DH` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_DH` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_DH` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_PH` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_PR` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gp_P` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs_SP` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ga_RP` TINYINT(3) UNSIGNED DEFAULT NULL,
  `winprob` DECIMAL(5,1) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_BATTING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH','_ML') COLLATE latin1_general_ci NOT NULL,
  `is_totals` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `pa` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ab` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `h` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `1b` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `2b` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `3b` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `hr` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `xbh` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `tb` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `bb` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ibb` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `hbp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `k` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `k_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `r` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `rbi` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sb` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `cs` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `cs_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `po` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `po_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sac_fly` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sac_hit` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `go` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fo` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gidp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gidp_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `lob` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `lob_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `obp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `obp_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `slg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `slg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ops` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ops_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `winprob` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `winprob_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_PITCHING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH','_ML') COLLATE latin1_general_ci NOT NULL,
  `is_totals` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `ip` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `out` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `bf` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pt` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `b` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `s` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `k` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `h` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `h_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `hr` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `hr_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `bb` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ibb` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `whip` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `whip_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `r` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `r_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ra` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ra_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `er` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `er_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `era` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `era_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ur` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ur_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ura` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ura_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ir` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ir_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ira` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ira_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `wp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `wp_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `bk` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sb` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `cs` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `po` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `go` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fo` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `go_fo` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `cg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sho` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `qs` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `w` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `l` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sv` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `hld` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `bs` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `bs_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `svo` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `winprob` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `winprob_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `game_score` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `game_score_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `qual_ratio` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `qual_rp` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_FIELDING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH','_ML') COLLATE latin1_general_ci NOT NULL,
  `is_totals` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `tc` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `po` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `a` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `e` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `e_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `dp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_MISC_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH','_ML') COLLATE latin1_general_ci NOT NULL,
  `is_totals` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `gp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_C` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_C` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_C` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_1B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_1B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_1B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_2B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_2B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_2B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_SS` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_SS` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_SS` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_3B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_3B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_3B` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_LF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_LF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_LF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_CF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_CF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_CF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_RF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_RF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_RF` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_DH` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_DH` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_DH` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_PH` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_PR` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gp_P` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gs_SP` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ga_RP` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `winprob` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `winprob_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_BATTING_SPLITS` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `split_type` ENUM('pitcher-info','batter-info','home-road','month','asb','opponent','stadium','with-baserunners','counts-on','counts-after','inning','batting-order','fielding-pos') COLLATE latin1_general_ci NOT NULL,
  `split_label` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `gp` TINYINT(3) UNSIGNED DEFAULT 0,
  `pa` SMALLINT(3) UNSIGNED DEFAULT 0,
  `ab` SMALLINT(3) UNSIGNED DEFAULT 0,
  `obp_evt` SMALLINT(3) UNSIGNED DEFAULT 0,
  `h` TINYINT(3) UNSIGNED DEFAULT 0,
  `1b` TINYINT(3) UNSIGNED DEFAULT 0,
  `2b` TINYINT(3) UNSIGNED DEFAULT 0,
  `3b` TINYINT(2) UNSIGNED DEFAULT 0,
  `hr` TINYINT(2) UNSIGNED DEFAULT 0,
  `r` TINYINT(3) UNSIGNED DEFAULT NULL,
  `rbi` TINYINT(3) UNSIGNED DEFAULT 0,
  `bb` TINYINT(3) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `hbp` TINYINT(2) UNSIGNED DEFAULT 0,
  `k` TINYINT(3) UNSIGNED DEFAULT 0,
  `sb` TINYINT(3) UNSIGNED DEFAULT NULL,
  `cs` TINYINT(2) UNSIGNED DEFAULT NULL,
  `sac_fly` TINYINT(2) UNSIGNED DEFAULT NULL,
  `sac_hit` TINYINT(2) UNSIGNED DEFAULT NULL,
  `tb` SMALLINT(5) UNSIGNED DEFAULT 0,
  `gidp` TINYINT(2) UNSIGNED DEFAULT NULL,
  `lob` SMALLINT(3) UNSIGNED DEFAULT NULL,
  `avg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `winprob` DECIMAL(5,1) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`split_type`,`split_label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_PITCHING_SPLITS` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `split_type` ENUM('pitcher-info','batter-info','home-road','month','asb','opponent','stadium','with-baserunners','counts-on','counts-after','pitch-count','ab-length','inning','batting-order') COLLATE latin1_general_ci NOT NULL,
  `split_label` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gs` TINYINT(2) UNSIGNED DEFAULT NULL,
  `ip` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `out` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `bf` SMALLINT(3) UNSIGNED DEFAULT 0,
  `ab` SMALLINT(3) UNSIGNED DEFAULT 0,
  `pt` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `b` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `s` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `obp_evt` SMALLINT(3) UNSIGNED DEFAULT 0,
  `h` TINYINT(3) UNSIGNED DEFAULT 0,
  `hr` TINYINT(2) UNSIGNED DEFAULT 0,
  `bb` TINYINT(3) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `r` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ra` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `er` TINYINT(3) UNSIGNED DEFAULT NULL,
  `era` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `whip` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `hbp` TINYINT(2) UNSIGNED DEFAULT 0,
  `k` TINYINT(3) UNSIGNED DEFAULT 0,
  `tb` SMALLINT(3) UNSIGNED DEFAULT 0,
  `wp` TINYINT(2) UNSIGNED DEFAULT NULL,
  `bk` TINYINT(2) UNSIGNED DEFAULT NULL,
  `sb` TINYINT(2) UNSIGNED DEFAULT NULL,
  `cs` TINYINT(2) UNSIGNED DEFAULT NULL,
  `avg_agst` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp_agst` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg_agst` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops_agst` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `cg` TINYINT(2) UNSIGNED DEFAULT NULL,
  `sho` TINYINT(1) UNSIGNED DEFAULT NULL,
  `qs` TINYINT(2) UNSIGNED DEFAULT NULL,
  `w` TINYINT(2) UNSIGNED DEFAULT NULL,
  `l` TINYINT(2) UNSIGNED DEFAULT NULL,
  `sv` TINYINT(2) UNSIGNED DEFAULT NULL,
  `hld` TINYINT(2) UNSIGNED DEFAULT NULL,
  `bs` TINYINT(2) UNSIGNED DEFAULT NULL,
  `svo` TINYINT(2) UNSIGNED DEFAULT NULL,
  `winprob` DECIMAL(5,1) DEFAULT NULL,
  `game_score` DECIMAL(5,2) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`split_type`,`split_label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_FIELDING_SPLITS` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `split_type` ENUM('home-road','month','asb','opponent','stadium') COLLATE latin1_general_ci NOT NULL,
  `split_label` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `tc` SMALLINT(4) UNSIGNED DEFAULT 0,
  `po` SMALLINT(5) UNSIGNED DEFAULT 0,
  `a` SMALLINT(5) UNSIGNED DEFAULT 0,
  `e` TINYINT(2) UNSIGNED DEFAULT 0,
  `pct` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `dp` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`split_type`,`split_label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_BATTING_ZONES` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `batter_hand` ENUM('L','R','CMB') COLLATE latin1_general_ci NOT NULL,
  `pitcher_hand` ENUM('L','R','CMB') COLLATE latin1_general_ci NOT NULL,
  `heatzones` BLOB DEFAULT NULL,
  `spray_chart` VARCHAR(25) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`batter_hand`,`pitcher_hand`),
  KEY `by_player` (`player_id`,`season_type`,`batter_hand`,`pitcher_hand`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_PITCHING_ZONES` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `batter_hand` ENUM('L','R','CMB') COLLATE latin1_general_ci NOT NULL,
  `pitcher_hand` ENUM('L','R','CMB') COLLATE latin1_general_ci NOT NULL,
  `heatzones` BLOB DEFAULT NULL,
  `spray_chart` VARCHAR(25) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`batter_hand`,`pitcher_hand`),
  KEY `by_player` (`player_id`,`season_type`,`batter_hand`,`pitcher_hand`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_SEASON_BATTER_VS_PITCHER` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `batter` SMALLINT(8) UNSIGNED NOT NULL,
  `pitcher` SMALLINT(8) UNSIGNED NOT NULL,
  `gp` TINYINT(2) UNSIGNED DEFAULT 0,
  `pa` TINYINT(3) UNSIGNED DEFAULT 0,
  `ab` TINYINT(3) UNSIGNED DEFAULT 0,
  `obp_evt` TINYINT(3) UNSIGNED DEFAULT 0,
  `h` TINYINT(2) UNSIGNED DEFAULT 0,
  `1b` TINYINT(2) UNSIGNED DEFAULT 0,
  `2b` TINYINT(2) UNSIGNED DEFAULT 0,
  `3b` TINYINT(1) UNSIGNED DEFAULT 0,
  `hr` TINYINT(2) UNSIGNED DEFAULT 0,
  `rbi` TINYINT(2) UNSIGNED DEFAULT 0,
  `bb` TINYINT(2) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `hbp` TINYINT(1) UNSIGNED DEFAULT 0,
  `k` TINYINT(2) UNSIGNED DEFAULT 0,
  `tb` TINYINT(2) UNSIGNED DEFAULT 0,
  `avg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `winprob` DECIMAL(5,1) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`batter`,`pitcher`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
